#!/bin/sh
# Installer for the saa713x driver and supporting apps.

BASE_DIR=$(dirname "$0")
BERADIO_ADDONS_DIR="/boot/home/config/add-ons/BeRadio"
DRIVER_BIN_DIR="/boot/home/config/add-ons/kernel/drivers/bin"
DRIVER_DEV_DIR="/boot/home/config/add-ons/kernel/drivers/dev/video"

cd "$BASE_DIR"

if [ ! -d "$DRIVER_BIN_DIR" ]; then
	mkdir -p "$DRIVER_BIN_DIR"
fi

if [ ! -d "$DRIVER_DEV_DIR" ]; then
	mkdir -p "$DRIVER_DEV_DIR"
fi

# Install the kernel driver.
############################

if [ -f "$DRIVER_BIN_DIR"/saa713x ]; then
	rm -f "$DRIVER_BIN_DIR"/saa713x
fi

copyattr --data ./data/saa713x "$DRIVER_BIN_DIR"
cd "$DRIVER_DEV_DIR"
ln -s ../../bin/saa713x saa713x

cd "$BASE_DIR"

rescan saa713x

# Install the test app.
#######################

if [ -f "$HOME/config/bin"/saa713x_testapp ]; then
	rm -f "$HOME/config/bin"/saa713x_testapp
fi

copyattr --data ./data/saa713x_testapp "$HOME/config/bin"

# Install the BeRadio addon (if BeRadio seems to be installed).
###############################################################

if [ -d "$BERADIO_ADDONS_DIR" ]; then
	copyattr --data ./data/FlyVIDEO2k "$BERADIO_ADDONS_DIR"
else
	alert --info "It seems you don't have BeRadio installed. You'll have to rely on the test app." "Ok"
fi

sync

alert --info "I don't C TV! has been installed." "Ok"
